$(function (){

    var status = parseInt('{{ status }}')
    if(status){

        var usuario_id = parseInt('{{ usuario.id }}');

        $.include_once('jquery.validate',function(){
            //Inicializamos la validación del formulario
            $('#frmChangePass').validate({
                errorElement: 'div',
                errorClass: 'help-block',
                focusInvalid: true,
                highlight: function (e) {
                    $(e).closest('.form-group').removeClass('has-info').removeClass('has-success').addClass('has-error');
                },
                success: function (e,el) {
                    $(e).closest('.form-group').removeClass('has-error');
                    $(e).remove();
                },
                submitHandler:function(form){
                    $.ajax({
                        type: 'POST',
                        dataType: 'json',
                        url: '{{ path('core_seguridad_login_save_new_pass') }}',
                        data: {
                            clave: $("#nueva_clave").val(),
                            usuario_id: usuario_id
                        },
                        beforeSend: function () {
                            $.processWait.show();
                        },
                        success: function (response) {
                            $.processWait.hide();
                            if(response.status){
                                if(response.message){
                                    $.gritter.add({
                                        title: 'Información!',
                                        text: response.message,
                                        time:3000,
                                        class_name: 'gritter-success gritter-light'
                                    });
                                    setTimeout(function(){
                                        location.href='{{ path('login') }}';
                                    }, 2000);
                                }
                            }
                            else{
                                $.alert(response.message,'danger');
                            }
                        }
                    });
                }
            });
        });

        $("#nueva_clave").blur(function (){
            if(typeof jbox === 'object'){
                jbox.close({ignoreDelay: true});
            }
        });

        var submitbutton = $('#aceptar');
        submitbutton.attr("disabled", "disabled");

        function matchPassword(isMatched) {
            if (isMatched) {
                submitbutton.addClass('unlocked').removeClass('locked');
                submitbutton.removeAttr("disabled", "disabled");
            }
            else {
                submitbutton.attr("disabled", "disabled");
                submitbutton.addClass('locked').removeClass('unlocked');
            }
        }

        $.include_once('jquery.pschecker',function(){
            $('.password-container').pschecker({ onPasswordMatch: matchPassword });
        });

        $.include_once('jquery.jbox',function(){
            if(typeof jbox === 'object'){
                jbox.destroy();
                jbox=false;
            }
            if(typeof jbox != 'object'){
                jbox = new jBox('Tooltip', {
                    id: 'nueva_clave',
                    theme: 'TooltipBorder',
                    trigger: 'keyup',
                    width: '250',
                    adjustTracker: true,
                    closeOnEsc: true,
                    closeOnClick: 'body',
                    animation: 'move',
                    attach: $('#nueva_clave'),
                    zIndex: 8000,
                    position: {
                        x: 'right',
                        y: 'center'
                    },
                    outside: 'x',
                    content: '<div><span>Políticas de seguridad para establecer una contraseña:</span><ul><li>Las contraseñas seguras contienen entre 8-16 caracteres.</li><li>No incluir palabras o nombres comunes.</li><li>Combinar letras mayúsculas, letras minúsculas, números y símbolos.</li></ul></div>'
                });
            }
        });

    }
});